#include <iostream>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	int t,n,i,j, a,b;
	cin>>t;
	for(i=0;i<t;i++){
		cin>>n;
		for(j=0;j<n;j++){
			cin>>a>>b;
		}
	}	
	for(i=0;i<t;i++){
		cout<<"NE"<<endl;
	}
	return 0;
}